NAME=main
NAME_F=FTCS
NAME_B=BTCS
CFLAGS=-g -Wwrite-strings -Wunused-variable -o
SRCS=$(NAME).cpp
SRCS_F=$(NAME_F).cpp
SRCS_B=$(NAME_B).cpp
CC=g++

all: $(NAME)
  
$(NAME): $(SRCS)
	$(CC) $(CFLAGS) $(NAME) $(SRCS)
	time ./$(NAME)
	make clean
#	cat erg.txt
 
$(NAME_F): $(SRCS_F)
	$(CC) $(CFLAGS) $(NAME_F) $(SRCS_F)
	time ./$(NAME_F)
	make clean
#	cat erg.txt

$(NAME_B): $(SRCS_B)
	$(CC) $(CFLAGS) $(NAME_B) $(SRCS_B)
	time ./$(NAME_B)
	make clean
#	cat erg.txt
#
clean:
	/bin/rm -f $(NAME)
	/bin/rm -f $(NAME_F)
	/bin/rm -f $(NAME_B)
